;; hacked by Dan in a hurry for what he needed
;; by all means, choose your own colors

(setq load-path (cons "~/emacs" load-path))
(setq default-frame-alist      
      '((cursor-color . "white") 
	(background-color . "black") (foreground-color . "white")))

;; fontification font-lock.el much better than the default hilit19.el
;***************************** (for coloring)
(require 'font-lock)
(setq font-lock-maximum-decoration t)
(global-font-lock-mode t)

;; CAML
(setq auto-mode-alist
      (cons '("\\.ml[iylp]?$" . caml-mode) auto-mode-alist))
(autoload 'caml-mode "caml" "Major mode for editing Caml code." t)
(autoload 'run-caml "inf-caml" "Run an inferior Caml process." t)

(if window-system (require 'caml-font))

;; colors (but default foreground and background set above)
(set-face-foreground 'font-lock-comment-face "Violet")
(set-face-foreground 'font-lock-string-face "khaki")
(set-face-foreground 'font-lock-keyword-face "cyan")
(set-face-foreground 'font-lock-function-name-face "lightGreen")
(set-face-foreground 'font-lock-variable-name-face "lightGreen")
(set-face-foreground 'font-lock-type-face "goldenrod")
(set-face-foreground 'font-lock-constant-face "burlywood")

(set-face-foreground 'font-latex-math-face "khaki")
(set-face-foreground 'font-latex-bold-face "white")
(set-face-foreground 'font-latex-italic-face "white")

(set-face-foreground 'highlight "white")
(set-face-background 'highlight "black")
(set-face-foreground 'modeline "white")
(set-face-background 'modeline "black")

